### Enumeration

# Gtk SpinType

#### Declaration

    enum Gtk.SpinType

#### Description [src]

The values of the GtkSpinType enumeration are used to specify the change to make in gtk_spin_button_spin().

#### Members

Name | Description
--- | ---
`GTK_SPIN_STEP_FORWARD` | Increment by the adjustments step increment.
`GTK_SPIN_STEP_BACKWARD` | Decrement by the adjustments step increment.
`GTK_SPIN_PAGE_FORWARD` | Increment by the adjustments page increment.
`GTK_SPIN_PAGE_BACKWARD` | Decrement by the adjustments page increment.
`GTK_SPIN_HOME` | Go to the adjustments lower bound.
`GTK_SPIN_END` | Go to the adjustments upper bound.
`GTK_SPIN_USER_DEFINED` | Change by a specified amount.